Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.sp3ndpay.shop/llms.txt

Use this file to discover all available pages before exploring further.

Endpoint

POST /v1/carts

Request

curl -X POST https://api.sp3ndpay.shop/v1/carts \
  -H "Authorization: Bearer sp3ndpay_live_xxx" \
  -H "Content-Type: application/json" \
  -d '{
    "items": [{"product_url": "https://www.amazon.com/dp/B0CDEMO123", "quantity": 1}],
    "ship_to_country": "US",
    "ship_to_postal_code": "10001"
  }'

Parameters

ParameterTypeRequired
itemsarrayYes
items[].product_urlstringYes
items[].quantityintegerYes
ship_to_countrystringYes
ship_to_postal_codestringNo

Response

{
  "cart": {
    "id": "cart_7K2pQ9xM",
    "status": "ready",
    "currency": "USD",
    "subtotal": 89.99,
    "shipping": 8.95,
    "tax": 7.65,
    "service_fee": 2.68,
    "total": 109.27,
    "expires_at": "2026-05-04T18:30:00Z",
    "items": [...]
  }
}

Cart Expiration

Carts expire after 30 minutes. Create new cart if expired.

Errors

Product Unavailable:
{
  "error": {
    "code": "product_unavailable",
    "message": "One or more products unavailable"
  }
}
Shipping Unavailable:
{
  "error": {
    "code": "shipping_unavailable",
    "message": "Cannot ship to destination"
  }
}

Create Order

Next: Create order